    Program d01gyfe

!     D01GYF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: d01gyf, nag_wp
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: ndim = 4, nout = 6
!     .. Local Scalars ..
      Integer                          :: ifail, npts
!     .. Local Arrays ..
      Real (Kind=nag_wp)               :: vk(20)
!     .. Executable Statements ..
      Write (nout,*) 'D01GYF Example Program Results'

      npts = 631

      ifail = 0
      Call d01gyf(ndim,npts,vk,ifail)

      Write (nout,*)
      Write (nout,99999) 'NDIM =', ndim, ' NPTS =', npts
      Write (nout,*)
      Write (nout,99998) 'Coefficients =', vk(1:ndim)

99999 Format (1X,A,I3,A,I6)
99998 Format (1X,A,4F6.0)
    End Program d01gyfe
